Subject: Re: bug#14881: 24.3.50; Odd cursor movement with images (or lines with different heights?)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 16 Jul 2013 22:36:28 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 16 Jul 2013 20:39:58 +0200
> 
> Defaulting to the current cursor (non-)movement seems kinda un-obvious.
> Why would anybody want `C-n' to scroll the window instead of er moving
> the cursor down?

Because you don't want the images to jump.  If they do, you won't see
some of their parts, especially if the window height is small.

> I rather like the way Emacs keeps the entire image in the buffer.

??? You mean in the window, right?

> Scrolling so that an image is cut off (at the top) is not very pleasant.

Then I think you are in the minority here.  Most people want to see
the images they scroll across in their entirety, not just some parts
of them.